from div import randomData
import socket
import time
from threading import Lock, Thread

#this is a TCP dummy server for simulating communication and data to the client

localHost = "127.0.0.1"
port = 5011
debug = True

sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
sock.bind((localHost, port))
sock.listen(5)

newData = False

while True:
    receivedSocket, address = sock.accept()
    if debug == True:
        print("connection established from " + str(receivedSocket))

    with receivedSocket:
        receivedSocket.settimeout(None)

        while receivedSocket:
            with Lock():
                data = receivedSocket.recv(1024)
                if debug == True:
                    print(data)
                newData = True

            if not data:
                print("connection broken, Lock released!")
                newData = False
                Lock().release()
                break

