from div import randomData
import socket
import time
import json
#this is a udp dummy server for simulating data sending to the client.

debug = False
localHost = "127.0.0.1"
port = 5005

sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
sock.bind((localHost, port))

while True:
    data, addr = sock.recvfrom(1024)
    print("received:", data)
    print('addr:', addr)
    while True:
        lidarData = randomData.getRandomLidarData(12)
        lidarJsonData ={
            "Lidar": {
                "Ranges": lidarData[0],
                "Angles": lidarData[1]
            }
        }
        dataToSend = json.dumps(lidarJsonData)

        if debug == True:
            print(dataToSend)

        sock.sendto(dataToSend.encode('utf-8'), addr)
        time.sleep(0.2)
    sock.sendto(b'', addr)
