import socket
import time
import random
import json
import cv2
import base64
import numpy as np

def main():
    localhost = '127.0.0.1'
    port = 5007

    sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    sock.bind((localhost, port))

    img = cv2.imread("C:\\Users\\vebjo\\Desktop\\testMap.png",1)
    print("before compression:")
    print(len(img))
    print(img.shape)


    while True:
        data, addr = sock.recvfrom(1024)
        while True:
            img2 = cv2.rectangle(img, (random.randint(2, 400),random.randint(2, 500)), (random.randint(100,200),random.randint(100,200)), (255,0,0), 2)
            #image = cv2.rectangle(image, start_point, end_point, color, thickness)
            encode_param = [int(cv2.IMWRITE_JPEG_QUALITY), 70]
            dataToSend = cv2.imencode(".jpg", img2, encode_param)[1]
            imageAsText = base64.b64encode(dataToSend)

            print(imageAsText)
            print("length: ")
            print(len(imageAsText))
            time.sleep(1)
            sock.sendto(imageAsText, addr)


if __name__ == '__main__':
    main()

